Foreman - Feature #5790

Default "Deploy on" value for host groups.
05/19/2014 01:45 PM - Martin Hovméller

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Host creation
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4593
Description

It would be great if it was possible to set the default value for "Deploy on" for host groups, to avoid having to choose that from the
drop down every time a machine is provisioned.

Related issues:

Related to Foreman - Bug #11050: Host Groups do not allow to specify image-ba... New 07/08/2015
Related to Foreman - Bug #22424: Add compute resource into apipie doc for hos... Closed 01/25/2018
Related to Foreman - Bug #22543: Deploy on set via hostgroup does not work wi... New 02/09/2018
Related to Foreman - Bug #22544: Deploy on field for hostgroup can't be set t... Closed 02/09/2018
Related to Foreman - Bug #22792: Trying to delete compute resource associated... Resolved

Related to Foreman - Bug #24072: "Deploy on" hostgroup option doesn't work pr... Closed 06/26/2018
Related to Foreman - Bug #25799: Bare-metal host 'Deploy On' setting doesn't ... New

Has duplicate Foreman - Feature #13538: Including the Compute Resource in the... Duplicate 02/03/2016
Has duplicate Foreman - Feature #15318: Default of orchestration type should ... Duplicate 06/07/2016
Has duplicate Foreman - Feature #16832: add "Deploy On" compute resource valu... Duplicate 10/07/2016
Has duplicate Foreman - Feature #23854: Assign Compute Resource to Hostgroup Duplicate 06/08/2018

Associated revisions

Revision d5d2d63f - 01/04/2018 08:26 PM - Ondrej Prazak
Fixes #5790 - Add compute resource to hostgroup (#4593)

History

#1 - 05/19/2014 01:49 PM - Dominic Cleal

- Category changed from Web Interface to Host creation

#2 - 07/09/2015 07:51 AM - Dominic Cleal
- Related to Bug #11050: Host Groups do not allow to specify image-based builds added

#3 - 04/12/2016 10:31 AM - Dominic Cleal

- Has duplicate Feature #13538: Including the Compute Resource in the Hostgroup configuration added

#4 - 04/12/2016 10:32 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Koen Torfs

#5 - 06/07/2016 03:57 AM - Dominic Cleal
- Has duplicate Feature #15318: Default of orchestration type should be configurable added

#6 - 10/07/2016 09:31 AM - Dominic Cleal
- Has duplicate Feature #16832: add "Deploy On" compute resource value to either host group or compute profile added

#7 - 05/17/2017 05:38 PM - Anonymous

Koen, what's the status here?

#8 - 05/18/2017 03:58 AM - Koen Torfs

Hey Michael, it's certainly still on my to do. | hoped | could close this feature request last foreman construction day in Belgium (Feb 2017). | was
prepared to work on this... 1 detail | however forgot, the code which was ready to be continued from the year before was based on a 1.12 dev branch
while at the time of the construction day the dev branch was versions ahead and the code from before didn't fit in anymore (too much had already
changed). The only part which still needed to be looked at was the frontend javascript so | initially thought it was as good as finished :(

So | first need to review all | have and then try to remake it in the current dev branch. (fyi, tbrisker helped me with the initial code in 2016)
The whole foreman code in itself is still quite unfamiliar terrain for me, nevertheless | am interesting in solving it (even though im not really a
developer)

My priorities at work however limit me from working on this further for the time being. In 2016 | was playing with Foreman in a sandbox environment
and it was there all these ideas for enhancements originated in case we would decide to start using it here. Nowadays the decision has been made to
actually use foreman to replace a custom made provisioning tool which was developed in-house to exactly match the customer. Replacing this
combined with transitioning from Puppet Enterprise to OpenSource Puppet takes a lot of time. My management first wants to have provisioning
moved from the old tool to foreman for the 1500 servers or so we have here.

As soon as the basics are working, | plan to continue on the enhancements like this feature request.
In short: this is not forgotten :)
#9 - 07/10/2017 03:06 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4593 added

#10 - 08/06/2017 06:20 AM - Anonymous

- Assignee changed from Koen Torfs to Ondrej PraZak

#11 - 01/04/2018 08:27 PM - Marek Hulan

- translation missing: en.field_release set to 330

#12 - 01/04/2018 09:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset d5d2d63f47daefed8d08fabd87e3d25a3eff337e.

#13 - 01/29/2018 01:32 PM - Tomer Brisker
- Related to Bug #22424: Add compute resource into apipie doc for hostgroup added

#14 - 02/09/2018 06:27 PM - Marek Hulan
- Related to Bug #22543: Deploy on set via hostgroup does not work with compute profile added

#15 - 02/09/2018 06:28 PM - Marek Hulan
- Related to Bug #22544: Deploy on field for hostgroup can't be set through APl and hammer added

#16 - 03/07/2018 11:34 AM - Ivan Necas
- Related to Bug #22792: Trying to delete compute resource associated with hostgroup gives PG::ForeignKeyViolation: ERROR added

#17 - 06/08/2018 09:56 AM - Ondfej Prazak
- Has duplicate Feature #23854: Assign Compute Resource to Hostgroup added

#18 - 06/26/2018 03:36 PM - Ivan Necas
- Related to Bug #24072: "Deploy on" hostgroup option doesn't work properly with network insterfaces and compute profiles added

#19 - 02/27/2019 11:59 AM - Tomer Brisker
- Related to Bug #25799: Bare-metal host 'Deploy On' setting doesn't persist added
